<?php
function cfm_premium_network_install($networkwide) {
	global $wpdb;

	if (function_exists('is_multisite') && is_multisite()) {
		// check if it is a network activation - if so, run the activation function for each blog id
		if ($networkwide) {
			$old_blog = $wpdb->blogid;
			// Get all blog ids
			$blogids = $wpdb->get_col("SELECT blog_id FROM $wpdb->blogs");
			foreach ($blogids as $blog_id) {
				switch_to_blog($blog_id);
				cfm_premium_install();
			}
			switch_to_blog($old_blog);
			return;
		}
	}
	cfm_premium_install();
}

function cfm_premium_install(){
	
	$pluginName = 'contact-form-manager/contact-form-manager.php';
	if (is_plugin_active($pluginName)) {
		wp_die( "Please deactivate the Contact Form Manager plugin. Back to <a href='".admin_url()."plugins.php'>Plugin Installation</a>." );
	}
	global $wpdb;
	$wpdb->show_errors();

	global $current_user; get_currentuserinfo();
	
	
	/*update reply_attachments table file_name field*/
	if(xyz_cfm_premium_plugin_get_version() == '1.1'){
		if(get_option('xyz_cfm_attachments_fix') != 1){
			$wpdb->query("UPDATE ".$wpdb->prefix."xyz_cfm_reply_attachments SET file_name= CONCAT('xyz_cfm_',id,'_',file_name)");
			add_option('xyz_cfm_attachments_fix',1);
		}
	}
	/*update reply_attachments table file_name field*/
	
	
	//add_option("xyz_cfm_paging_limit",20);
	if(get_option('xyz_cfm_paging_limit') != ''){
		add_option("xyz_cfm_pm_paging_limit",get_option('xyz_cfm_paging_limit'));
	}else{
		add_option("xyz_cfm_pm_paging_limit",20);
	}
	
	
	//add_option("xyz_cfm_tinymce_filter",1);
	if(get_option('xyz_cfm_tinymce_filter') != ''){
		add_option("xyz_cfm_pm_tinymce_filter",get_option('xyz_cfm_tinymce_filter'));
	}else{
		add_option("xyz_cfm_pm_tinymce_filter",1);
	}
	
	//add_option("xyz_cfm_mandatory_sign",1);
	if(get_option('xyz_cfm_mandatory_sign') != ''){
		add_option("xyz_cfm_pm_mandatory_sign",get_option('xyz_cfm_mandatory_sign'));
	}else{
		add_option("xyz_cfm_pm_mandatory_sign",1);
	}
	
	
	//add_option("xyz_cfm_DateFormat",2);
	if(get_option('xyz_cfm_DateFormat') != ''){
		add_option("xyz_cfm_pm_DateFormat",get_option('xyz_cfm_DateFormat'));
	}else{
		add_option("xyz_cfm_pm_DateFormat",2);
	}
	
	//add_option('xyz_cfm_sendViaSmtp',0);
	if(get_option('xyz_cfm_sendViaSmtp') != ''){
		add_option("xyz_cfm_pm_sendViaSmtp",get_option('xyz_cfm_sendViaSmtp'));
	}else{
		add_option("xyz_cfm_pm_sendViaSmtp",0);
	}
	
	//add_option('xyz_cfm_SmtpDebug',0);
	if(get_option('xyz_cfm_SmtpDebug') != ''){
		add_option("xyz_cfm_pm_SmtpDebug",get_option('xyz_cfm_SmtpDebug'));
	}else{
		add_option("xyz_cfm_pm_SmtpDebug",0);
	}
	
	if(get_option('xyz_cfm_recaptcha_private_key') != ''){
		add_option("xyz_cfm_pm_recaptcha_private_key",get_option('xyz_cfm_recaptcha_private_key'));
	}else{
		add_option("xyz_cfm_pm_recaptcha_private_key",'');
	}
	
	if(get_option('xyz_cfm_recaptcha_public_key') != ''){
		add_option("xyz_cfm_pm_recaptcha_public_key",get_option('xyz_cfm_recaptcha_public_key'));
	}else{
		add_option("xyz_cfm_pm_recaptcha_public_key",'');
	}
	
	
	add_option("xyz_wp_contact_form_license_key");
	
	if(get_option('xyz_credit_link') == ""){
		if(get_option('xyz_cfm_credit_link') == 1){
			add_option("xyz_credit_link",'cfm');
		}else{
			add_option("xyz_credit_link",0);
		}
	}
	
	
	if(get_option('xyz_cfm_pm_numerals_language') == ""){
		add_option("xyz_cfm_pm_numerals_language",'zero, one, two, three, four, five, six, seven, eight, nine');
	}
	
	if(get_option('xyz_cfm_pm_month_names') == ""){
		add_option("xyz_cfm_pm_month_names",'January, February, March, April, May, June, July, August, September, October, November, December');
	}
	
	
	
	
	/*Table : xyz_cfm_form*/
	$xyz_cfm_form = $wpdb->get_results('SHOW TABLE STATUS WHERE name="xyz_cfm_form"');
	if(count($xyz_cfm_form) > 0){
		$wpdb->query("RENAME TABLE xyz_cfm_form TO ".$wpdb->prefix."xyz_cfm_form");
	}else{
	
		$xyz_cfm_formExist = $wpdb->get_results('SHOW TABLE STATUS WHERE name="'.$wpdb->prefix.'xyz_cfm_form"');
		if(count($xyz_cfm_formExist) == 0){
		
			$queryForm = "CREATE TABLE IF NOT EXISTS  ".$wpdb->prefix."xyz_cfm_form (
			  `id` int NOT NULL AUTO_INCREMENT,
			  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `status` int NOT NULL,
			  `form_content` longtext COLLATE utf8_unicode_ci NOT NULL,
			  `submit_mode` int NOT NULL,
			  `to_email` text COLLATE utf8_unicode_ci NOT NULL,
			  `from_email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `sender_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `reply_sender_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `reply_sender_email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `cc_email` text COLLATE utf8_unicode_ci NOT NULL,
			  `mail_type` int NOT NULL,
			  `mail_subject` text COLLATE utf8_unicode_ci NOT NULL,
			  `mail_body` longtext COLLATE utf8_unicode_ci NOT NULL,
			  `to_email_reply` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `reply_subject` text COLLATE utf8_unicode_ci NOT NULL,
			  `reply_body` longtext COLLATE utf8_unicode_ci NOT NULL,
			  `reply_mail_type` int NOT NULL,
			  `enable_reply` int NOT NULL,
			  `redirection_link` text COLLATE utf8_unicode_ci NOT NULL,
			  PRIMARY KEY (`id`)
			) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ";
			$wpdb->query($queryForm);
		}
	}
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form");
	
	if(in_array("from_email_id", $tblcolums))
		$group_flag=1;
	
	
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form ADD (`from_email_id` int not null default '0' ,`reply_sender_email_id` int not null default '0')");
				
	}
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form");
	
	if(in_array("redisplay_option", $tblcolums))
		$group_flag=1;
		
	
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form ADD (`redisplay_option` int not null default 2)");
		
	}
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form");
	
	if(in_array("reply_to", $tblcolums))
		$group_flag=1;
		
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form ADD (`reply_to` varchar(225) COLLATE utf8_unicode_ci NOT NULL,`reply_name` varchar(225) COLLATE utf8_unicode_ci NOT NULL,
				`auto_reply_to_email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,`auto_reply_to_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
				`form_error_messages` longtext COLLATE utf8_unicode_ci NOT NULL)");
	}
	
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form");
	
	if(in_array("response_message_body", $tblcolums))
		$group_flag=1;
	
	
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form ADD (`response_message_body` longtext COLLATE utf8_unicode_ci NOT NULL)");
		
	}
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form");
	
	if(in_array("bcc_email", $tblcolums))
		$group_flag=1;
		
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form ADD (`bcc_email` text COLLATE utf8_unicode_ci NOT NULL)");
		
	}
	
	/*for newsletter subscription*/
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form");
	
	if(in_array("newsletter_email_shortcode", $tblcolums))
		$group_flag=1;
		
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form ADD 
				(`newsletter_email_shortcode` varchar(225) COLLATE utf8_unicode_ci NOT NULL,
				`newsletter_email_list` text COLLATE utf8_unicode_ci NOT NULL,
				`newsletter_custom_fields` text COLLATE utf8_unicode_ci NOT NULL,
				`newsletter_optin_mode` varchar(225) COLLATE utf8_unicode_ci NOT NULL,
				`newsletter_subscription_status` int(11) NOT NULL )");
		
	}
	
	
	/*for newsletter subscription*/
	
		
	$form_list_Details = $wpdb->get_results( 'SELECT * FROM '.$wpdb->prefix.'xyz_cfm_form' ) ;
	if(count($form_list_Details) > 0){
		
		$xyz_cfm_mailSentSuccess = "Mail successfully sent";
		$xyz_cfm_mailSentUnsuccess = "Mail not sent, try again";
		$formErrorMessageArray = array('mail_successfully_sent'=>$xyz_cfm_mailSentSuccess,'mail_not_sent_try_again'=>$xyz_cfm_mailSentUnsuccess);
		$serializeError = serialize($formErrorMessageArray);
		
		foreach ($form_list_Details as $form_list){
			if($form_list->form_error_messages == ''){

				$wpdb->update($wpdb->prefix.'xyz_cfm_form',array('form_error_messages'=>$serializeError),array('id'=>$form_list->id));
				
			}
		}
	}
	
	/* user input criteria for newsletter subscription */
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form");
	
	if(in_array("user_input_criteria", $tblcolums))
		$group_flag=1;
	
	
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form ADD (`user_input_criteria` longtext COLLATE utf8_unicode_ci NOT NULL)");
			
	}
	
	
	
	/*Table : xyz_cfm_form_elements*/
	$xyz_cfm_FormElements = $wpdb->get_results('SHOW TABLE STATUS WHERE name="xyz_cfm_form_elements"');
	if(count($xyz_cfm_FormElements) > 0){
		$wpdb->query("RENAME TABLE xyz_cfm_form_elements TO ".$wpdb->prefix."xyz_cfm_form_elements");
	}else{
	
		$xyz_cfm_FormElementsExist = $wpdb->get_results('SHOW TABLE STATUS WHERE name="'.$wpdb->prefix.'xyz_cfm_form_elements"');
		if(count($xyz_cfm_FormElementsExist) == 0){
	
			$queryFormElements = "CREATE TABLE IF NOT EXISTS  ".$wpdb->prefix."xyz_cfm_form_elements (
			  `id` int NOT NULL AUTO_INCREMENT,
			  `form_id` int NOT NULL,
			  `element_diplay_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `element_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `element_type` int NOT NULL,
			  `element_required` int NOT NULL,
			  `css_class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `max_length` varchar(11) COLLATE utf8_unicode_ci NOT NULL,
			  `default_value` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			  `cols` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
			  `rows` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
			  `options` longtext COLLATE utf8_unicode_ci NOT NULL,
			  `file_size` varchar(11) COLLATE utf8_unicode_ci NOT NULL,
			  `file_type` text COLLATE utf8_unicode_ci NOT NULL,
			  `re_captcha` int NOT NULL,
			  PRIMARY KEY (`id`)
			) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 " ;
			$wpdb->query($queryFormElements);
			
		}
	}
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form_elements");
	
	if(in_array("client_view_check_radio_line_break_count", $tblcolums))
		$group_flag=1;
	
	
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form_elements ADD (`client_view_check_radio_line_break_count` int not null default '0',
				`client_view_multi_select_drop_down` int not null default '0')");
		
		
	}
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form_elements");
	
	if(in_array("hidden_radio_option", $tblcolums))
		$group_flag=1;
	
	
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form_elements ADD (`hidden_radio_option` int not null default '0',`hidden_value_dropdown` int(1) not null default '0',
				`min_value` varchar(11) not null ,`max_value` varchar(11) not null ,`allow_decimal` int(1) null default '0',`placeholder` varchar(1000) COLLATE utf8_unicode_ci NOT NULL,
				 `element_error_messages` longtext COLLATE utf8_unicode_ci NOT NULL)");
		
		
	}
	
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form_elements");
	
	if(in_array("pattern", $tblcolums))
		$group_flag=1;
	
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form_elements ADD (`pattern` longtext COLLATE utf8_unicode_ci NOT NULL)");
			
	}
	
	
	
	$element_list = $wpdb->get_results( 'SELECT * FROM '.$wpdb->prefix.'xyz_cfm_form_elements' ) ;
	if(count($element_list) > 0){

		foreach ($element_list as $element){
			if($element->element_error_messages == '' || $element->element_error_messages == 0){
				$xyz_cfm_element_error_message='';
				if($element->element_type == 1){
					$xyz_cfm_pattern_format_error_message = "Pattern format error";
					$xyz_cfm_empty_text_field_error_message = "Fill text field";
					$xyz_cfm_element_error_message_array = array('pattern_format'=>$xyz_cfm_pattern_format_error_message,'fill_text_field'=>$xyz_cfm_empty_text_field_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}elseif($element->element_type == 2){
					
					$xyz_cfm_empty_email_field_error_message = "Fill email field";
					$xyz_cfm_valid_email_field_error_message = "Enter a valid email address";
					$xyz_cfm_element_error_message_array = array('fill_email_field'=>$xyz_cfm_empty_email_field_error_message,'please_provide_valid_email_address'=>$xyz_cfm_valid_email_field_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}elseif(($element->element_type == 3) || ($element->element_type == 13)){
					
					if($element->element_type == 3){
						$xyz_cfm_empty_textarea_error_message = "Fill textarea field";
					}
					if($element->element_type == 13){
						$xyz_cfm_empty_textarea_error_message = "Fill richtextarea field";
					}
					$xyz_cfm_element_error_message_array = array('fill_textarea_field'=>$xyz_cfm_empty_textarea_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}elseif($element->element_type == 4){
					
					$xyz_cfm_empty_dropdown_error_message = "Select dropdown field";
					$xyz_cfm_element_error_message_array = array('select_dropdown_field'=>$xyz_cfm_empty_dropdown_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}elseif($element->element_type == 5){
					
					$xyz_cfm_empty_date_error_message = "Fill date field";
					$xyz_cfm_element_error_message_array = array('fill_date_field'=>$xyz_cfm_empty_date_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}elseif($element->element_type == 6){
					
					$xyz_cfm_empty_checkbox_error_message = "Select atleast one checkbox";
					$xyz_cfm_element_error_message_array = array('select_atleast_one_checkbox'=>$xyz_cfm_empty_checkbox_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}elseif($element->element_type == 7){
					
					$xyz_cfm_empty_radio_error_message = "Select the radio button";
					$xyz_cfm_element_error_message_array = array('select_atleast_one_radiobutton'=>$xyz_cfm_empty_radio_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}elseif($element->element_type == 8){
					
					$xyz_cfm_empty_file_error_message = "Upload a file";
					$xyz_cfm_empty_file_format_field_error_message = "File format not accepted, please enter this format files : ";
					$xyz_cfm_empty_file_max_size_field_error_message = "File size too large, maximum filesize : ";
					$xyz_cfm_element_error_message_array = array('upload_file'=>$xyz_cfm_empty_file_error_message,
							'file_format_not_accepted_please_enter_this_format_files'=>$xyz_cfm_empty_file_format_field_error_message,
							'file_size_too_large_max_file_size'=>$xyz_cfm_empty_file_max_size_field_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
						
				}elseif($element->element_type == 10){
					
					$xyz_cfm_empty_captcha_error_message = "Fill captcha field";
					$xyz_cfm_empty_captcha_not_match_field_error_message = "Image content not matched";
					$xyz_cfm_element_error_message_array = array('fill_captch_field'=>$xyz_cfm_empty_captcha_error_message,
							'captcha_content_not_matched'=>$xyz_cfm_empty_captcha_not_match_field_error_message);
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}elseif($element->element_type == 12){
					
					$xyz_cfm_empty_numeric_field_error_message = "Fill numeric field";
					$xyz_cfm_not_numeric_field_error_message = "Enter numeric value";
					$xyz_cfm_less_than_min_value_numeric_field_error_message = "Entered value is less-than minimum value, Minimum value is : ";
					$xyz_cfm_greater_than_max_value_numeric_field_error_message = "Entered value is greater-than maximum value, Maximum value is : ";
					$xyz_cfm_decimal_not_support_numeric_field_error_message = "Decimal number not support with this field";
					
					$xyz_cfm_element_error_message_array = array('fill_numeric_field'=>$xyz_cfm_empty_numeric_field_error_message,
							'enter_numeric_value'=>$xyz_cfm_not_numeric_field_error_message,'less_than_min_value'=>$xyz_cfm_less_than_min_value_numeric_field_error_message,
							'greater_than_max_value'=>$xyz_cfm_greater_than_max_value_numeric_field_error_message,'decimal_not_support'=>$xyz_cfm_decimal_not_support_numeric_field_error_message);
					
					$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
					
				}
	
				$wpdb->update($wpdb->prefix.'xyz_cfm_form_elements',array('element_error_messages'=>$xyz_cfm_element_error_message),array('id'=>$element->id));
	
			}
		}
	}
	
	//die("UUU");
	
	/* New codes  */
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form_elements");
	
	if(in_array("jquery_event_handling_code", $tblcolums))
		$group_flag=1;
		
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form_elements ADD (`jquery_event_handling_code` longtext COLLATE utf8_unicode_ci NOT NULL, `date_picker_start_date` varchar(11) COLLATE utf8_unicode_ci NOT NULL,`date_picker_end_date` varchar(11) COLLATE utf8_unicode_ci NOT NULL,`date_picker_type` int(1) NOT NULL default '1')");
			
	}
	
	$group_flag=0;
	$tblcolums = $wpdb->get_col("SHOW COLUMNS FROM  ".$wpdb->prefix."xyz_cfm_form_elements");
	
	if(in_array("file_mode", $tblcolums))
		$group_flag=1;
	
	
	if($group_flag==0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."xyz_cfm_form_elements ADD (`file_mode` int(1) NOT NULL DEFAULT '0')");
		
	}
	
	/* New codes  */
	
	
	/*Table : xyz_cfm_sender_email_address*/
	$xyz_cfm_SenderEmailAddress = $wpdb->get_results('SHOW TABLE STATUS WHERE name="xyz_cfm_sender_email_address"');
	if(count($xyz_cfm_SenderEmailAddress) > 0){
		$wpdb->query("RENAME TABLE xyz_cfm_sender_email_address TO ".$wpdb->prefix."xyz_cfm_sender_email_address");
	}else{
	
		$xyz_cfm_SenderEmailAddressExist = $wpdb->get_results('SHOW TABLE STATUS WHERE name="'.$wpdb->prefix.'xyz_cfm_sender_email_address"');
		if(count($xyz_cfm_SenderEmailAddressExist) == 0){
	
			$querySenderEmailAddress = "CREATE TABLE IF NOT EXISTS  ".$wpdb->prefix."xyz_cfm_sender_email_address (
			`id` int(11) NOT NULL AUTO_INCREMENT,
			`authentication` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
			`host` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			`user` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			`password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			`port` int(11) NOT NULL,
			`security` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
			`set_default` int(1) NOT NULL,
			`status` int(1) NOT NULL,
			PRIMARY KEY (`id`)
			) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1";
			$wpdb->query($querySenderEmailAddress);
			
		}
	}
	
	
	/*Table : xyz_cfm_form_submissions*/
	$xyz_cfm_submissionsExist = $wpdb->get_results('SHOW TABLE STATUS WHERE name="'.$wpdb->prefix.'xyz_cfm_form_submissions"');
	if(count($xyz_cfm_submissionsExist) == 0){

		$querySubmissions = "CREATE TABLE IF NOT EXISTS ".$wpdb->prefix."xyz_cfm_form_submissions (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `form_id` int(11) NOT NULL,
		  `ip` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
		  `browser_version` varchar(1000) NOT NULL,
		  `platform_os` varchar(1000) NOT NULL,
		  `country_code` varchar(20) NOT NULL,
		  `user_agent` varchar(1000) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
		  `request_url` varchar(1000) NOT NULL,
		  `request_time` int(30) NOT NULL,
		  PRIMARY KEY (`id`)
		) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1";
		$wpdb->query($querySubmissions);
	
	}
	/*Table : xyz_cfm_reply_attachments*/
	$queryReplyAttachments ="CREATE TABLE IF NOT EXISTS ".$wpdb->prefix."xyz_cfm_reply_attachments (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`form_id` int(11) NOT NULL,
	`file_name` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
	PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1";
	$wpdb->query($queryReplyAttachments);
	
	/*Table : xyz_cfm_form_submission_meta_data*/
	$xyz_cfm_submission_meta_dataExist = $wpdb->get_results('SHOW TABLE STATUS WHERE name="'.$wpdb->prefix.'xyz_cfm_form_submission_meta_data"');
	if(count($xyz_cfm_submission_meta_dataExist) == 0){
	
		$querySubmissionMetaData = "CREATE TABLE IF NOT EXISTS ".$wpdb->prefix."xyz_cfm_form_submission_meta_data (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `form_submission_id` int(11) NOT NULL,
		  `element_field_id` int(11) NOT NULL,
		  `value` varchar(10000) COLLATE utf8_unicode_ci NOT NULL,
		  PRIMARY KEY (`id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1";
		$wpdb->query($querySubmissionMetaData);
		
	}
	
	/*Table : xyz_cfm_location_country*/
	$xyz_cfm_location_country_codeExist = $wpdb->get_results('SHOW TABLE STATUS WHERE name="'.$wpdb->prefix.'xyz_cfm_location_country"');
	if(count($xyz_cfm_location_country_codeExist) == 0){
	
		$queryLocation_country_code = "CREATE TABLE IF NOT EXISTS ".$wpdb->prefix."xyz_cfm_location_country (
		`code` varchar(2) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
		  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
		  PRIMARY KEY (`code`)
		) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci";
		$wpdb->query($queryLocation_country_code);
		
		$insertLocation_country = "INSERT INTO ".$wpdb->prefix."xyz_cfm_location_country (`code`, `name`) VALUES
			('A1', 'Anonymous Proxy'),
			('A2', 'Satellite Provider'),
			('AD', 'Andorra'),
			('AE', 'United Arab Emirates'),
			('AF', 'Afghanistan'),
			('AG', 'Antigua and Barbuda'),
			('AI', 'Anguilla'),
			('AL', 'Albania'),
			('AM', 'Armenia'),
			('AN', 'Netherlands Antilles'),
			('AO', 'Angola'),
			('AP', 'Asia/Pacific Region'),
			('AQ', 'Antarctica'),
			('AR', 'Argentina'),
			('AS', 'American Samoa'),
			('AT', 'Austria'),
			('AU', 'Australia'),
			('AW', 'Aruba'),
			('AX', 'Aland Islands'),
			('AZ', 'Azerbaijan'),
			('BA', 'Bosnia and Herzegovina'),
			('BB', 'Barbados'),
			('BD', 'Bangladesh'),
			('BE', 'Belgium'),
			('BF', 'Burkina Faso'),
			('BG', 'Bulgaria'),
			('BH', 'Bahrain'),
			('BI', 'Burundi'),
			('BJ', 'Benin'),
			('BM', 'Bermuda'),
			('BN', 'Brunei Darussalam'),
			('BO', 'Bolivia'),
			('BR', 'Brazil'),
			('BS', 'Bahamas'),
			('BT', 'Bhutan'),
			('BV', 'Bouvet Island'),
			('BW', 'Botswana'),
			('BY', 'Belarus'),
			('BZ', 'Belize'),
			('CA', 'Canada'),
			('CC', 'Cocos (Keeling) Islands'),
			('CD', 'Congo, The Democratic Republic of the'),
			('CF', 'Central African Republic'),
			('CG', 'Congo'),
			('CH', 'Switzerland'),
			('CI', 'Cote d''Ivoire'),
			('CK', 'Cook Islands'),
			('CL', 'Chile'),
			('CM', 'Cameroon'),
			('CN', 'China'),
			('CO', 'Colombia'),
			('CR', 'Costa Rica'),
			('CU', 'Cuba'),
			('CV', 'Cape Verde'),
			('CX', 'Christmas Island'),
			('CY', 'Cyprus'),
			('CZ', 'Czech Republic'),
			('DE', 'Germany'),
			('DJ', 'Djibouti'),
			('DK', 'Denmark'),
			('DM', 'Dominica'),
			('DO', 'Dominican Republic'),
			('DZ', 'Algeria'),
			('EC', 'Ecuador'),
			('EE', 'Estonia'),
			('EG', 'Egypt'),
			('EH', 'Western Sahara'),
			('ER', 'Eritrea'),
			('ES', 'Spain'),
			('ET', 'Ethiopia'),
			('EU', 'Europe'),
			('FI', 'Finland'),
			('FJ', 'Fiji'),
			('FK', 'Falkland Islands (Malvinas)'),
			('FM', 'Micronesia, Federated States of'),
			('FO', 'Faroe Islands'),
			('FR', 'France'),
			('GA', 'Gabon'),
			('GB', 'United Kingdom'),
			('GD', 'Grenada'),
			('GE', 'Georgia'),
			('GF', 'French Guiana'),
			('GG', 'Guernsey'),
			('GH', 'Ghana'),
			('GI', 'Gibraltar'),
			('GL', 'Greenland'),
			('GM', 'Gambia'),
			('GN', 'Guinea'),
			('GP', 'Guadeloupe'),
			('GQ', 'Equatorial Guinea'),
			('GR', 'Greece'),
			('GS', 'South Georgia and the South Sandwich Islands'),
			('GT', 'Guatemala'),
			('GU', 'Guam'),
			('GW', 'Guinea-Bissau'),
			('GY', 'Guyana'),
			('HK', 'Hong Kong'),
			('HM', 'Heard Island and McDonald Islands'),
			('HN', 'Honduras'),
			('HR', 'Croatia'),
			('HT', 'Haiti'),
			('HU', 'Hungary'),
			('ID', 'Indonesia'),
			('IE', 'Ireland'),
			('IL', 'Israel'),
			('IM', 'Isle of Man'),
			('IN', 'India'),
			('IO', 'British Indian Ocean Territory'),
			('IQ', 'Iraq'),
			('IR', 'Iran, Islamic Republic of'),
			('IS', 'Iceland'),
			('IT', 'Italy'),
			('JE', 'Jersey'),
			('JM', 'Jamaica'),
			('JO', 'Jordan'),
			('JP', 'Japan'),
			('KE', 'Kenya'),
			('KG', 'Kyrgyzstan'),
			('KH', 'Cambodia'),
			('KI', 'Kiribati'),
			('KM', 'Comoros'),
			('KN', 'Saint Kitts and Nevis'),
			('KP', 'Korea, Democratic People''s Republic of'),
			('KR', 'Korea, Republic of'),
			('KW', 'Kuwait'),
			('KY', 'Cayman Islands'),
			('KZ', 'Kazakhstan'),
			('LA', 'Lao People''s Democratic Republic'),
			('LB', 'Lebanon'),
			('LC', 'Saint Lucia'),
			('LI', 'Liechtenstein'),
			('LK', 'Sri Lanka'),
			('LR', 'Liberia'),
			('LS', 'Lesotho'),
			('LT', 'Lithuania'),
			('LU', 'Luxembourg'),
			('LV', 'Latvia'),
			('LY', 'Libyan Arab Jamahiriya'),
			('MA', 'Morocco'),
			('MC', 'Monaco'),
			('MD', 'Moldova, Republic of'),
			('ME', 'Montenegro'),
			('MG', 'Madagascar'),
			('MH', 'Marshall Islands'),
			('MK', 'Macedonia'),
			('ML', 'Mali'),
			('MM', 'Myanmar'),
			('MN', 'Mongolia'),
			('MO', 'Macao'),
			('MP', 'Northern Mariana Islands'),
			('MQ', 'Martinique'),
			('MR', 'Mauritania'),
			('MS', 'Montserrat'),
			('MT', 'Malta'),
			('MU', 'Mauritius'),
			('MV', 'Maldives'),
			('MW', 'Malawi'),
			('MX', 'Mexico'),
			('MY', 'Malaysia'),
			('MZ', 'Mozambique'),
			('NA', 'Namibia'),
			('NC', 'New Caledonia'),
			('NE', 'Niger'),
			('NF', 'Norfolk Island'),
			('NG', 'Nigeria'),
			('NI', 'Nicaragua'),
			('NL', 'Netherlands'),
			('NO', 'Norway'),
			('NP', 'Nepal'),
			('NR', 'Nauru'),
			('NU', 'Niue'),
			('NZ', 'New Zealand'),
			('OM', 'Oman'),
			('PA', 'Panama'),
			('PE', 'Peru'),
			('PF', 'French Polynesia'),
			('PG', 'Papua New Guinea'),
			('PH', 'Philippines'),
			('PK', 'Pakistan'),
			('PL', 'Poland'),
			('PM', 'Saint Pierre and Miquelon'),
			('PN', 'Pitcairn'),
			('PR', 'Puerto Rico'),
			('PS', 'Palestinian Territory'),
			('PT', 'Portugal'),
			('PW', 'Palau'),
			('PY', 'Paraguay'),
			('QA', 'Qatar'),
			('RE', 'Reunion'),
			('RO', 'Romania'),
			('RS', 'Serbia'),
			('RU', 'Russian Federation'),
			('RW', 'Rwanda'),
			('SA', 'Saudi Arabia'),
			('SB', 'Solomon Islands'),
			('SC', 'Seychelles'),
			('SD', 'Sudan'),
			('SE', 'Sweden'),
			('SG', 'Singapore'),
			('SH', 'Saint Helena'),
			('SI', 'Slovenia'),
			('SJ', 'Svalbard and Jan Mayen'),
			('SK', 'Slovakia'),
			('SL', 'Sierra Leone'),
			('SM', 'San Marino'),
			('SN', 'Senegal'),
			('SO', 'Somalia'),
			('SR', 'Suriname'),
			('ST', 'Sao Tome and Principe'),
			('SV', 'El Salvador'),
			('SY', 'Syrian Arab Republic'),
			('SZ', 'Swaziland'),
			('TC', 'Turks and Caicos Islands'),
			('TD', 'Chad'),
			('TF', 'French Southern Territories'),
			('TG', 'Togo'),
			('TH', 'Thailand'),
			('TJ', 'Tajikistan'),
			('TK', 'Tokelau'),
			('TL', 'Timor-Leste'),
			('TM', 'Turkmenistan'),
			('TN', 'Tunisia'),
			('TO', 'Tonga'),
			('TR', 'Turkey'),
			('TT', 'Trinidad and Tobago'),
			('TV', 'Tuvalu'),
			('TW', 'Taiwan'),
			('TZ', 'Tanzania, United Republic of'),
			('UA', 'Ukraine'),
			('UG', 'Uganda'),
			('UM', 'United States Minor Outlying Islands'),
			('US', 'United States'),
			('UY', 'Uruguay'),
			('UZ', 'Uzbekistan'),
			('VA', 'Holy See (Vatican City State)'),
			('VC', 'Saint Vincent and the Grenadines'),
			('VE', 'Venezuela'),
			('VG', 'Virgin Islands, British'),
			('VI', 'Virgin Islands, U.S.'),
			('VN', 'Vietnam'),
			('VU', 'Vanuatu'),
			('WF', 'Wallis and Futuna'),
			('WS', 'Samoa'),
			('YE', 'Yemen'),
			('YT', 'Mayotte'),
			('ZA', 'South Africa'),
			('ZM', 'Zambia'),
			('ZW', 'Zimbabwe')";
		
		$wpdb->query($insertLocation_country);
	
	}
	
	
	$form_count = $wpdb->query( 'SELECT * FROM '.$wpdb->prefix.'xyz_cfm_form') ;
	if($form_count == 0){
		
		$xyz_cfm_to_email =  $current_user->user_email;
		
		
		$last_id= $wpdb->get_var("select max(id) from ".$wpdb->prefix."xyz_cfm_form");
		$last_id=($last_id=='')?1:$last_id+1;
		
		
		
		/*create default contact form*/
		// 		$wpdb->insert($wpdb->prefix.'xyz_cfm_form', array('name' => 'form'.$last_id),array('%s'));
		
		$wpdb->insert($wpdb->prefix.'xyz_cfm_form', array(
				'name' => 'form'.$last_id, 
				'status'=>1,
				'form_content'=>'',
				'submit_mode'=>2,
				'to_email'=>'',
				'from_email'=>'',
				'sender_name'=>'',
				'reply_sender_name'=>'',
				'reply_sender_email'=>'',
				'cc_email'=>'',
				'mail_type'=>1,
				'mail_subject'=>'',
				'mail_body'=>'',
				'to_email_reply'=>'',
				'reply_subject'=>'',
				'reply_body'=>'',
				'reply_mail_type'=>1,
				'enable_reply'=>1,
				'redirection_link'=>'',
				'from_email_id'=>0,
				'reply_sender_email_id'=>0,
				'redisplay_option'=>2,
				'reply_to'=>'',
				'reply_name'=>'',
				'auto_reply_to_email'=>'',
				'auto_reply_to_name'=>'',
				'form_error_messages'=>'',
				'response_message_body'=>'',
				'newsletter_email_shortcode'=>'',
				'newsletter_email_list'=>'',
				'newsletter_custom_fields'=>'',
				'newsletter_optin_mode'	=>	'',
				'newsletter_subscription_status'=>0,
				'bcc_email'=>''
				),
				array('%s','%d','%s','%d','%s','%s','%s','%s','%s','%s','%d','%s','%s','%s','%s','%s','%d','%d','%s','%d','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%s'));
		
		$lastid = $wpdb->insert_id;
		
		
		
		/*User name*/
		$xyz_cfm_empty_text_field_error_message_name = "Fill text field";
		$xyz_cfm_element_error_message_array_name = array('fill_text_field'=>$xyz_cfm_empty_text_field_error_message_name);
		$xyz_cfm_element_error_message_name = serialize($xyz_cfm_element_error_message_array_name);
		
		$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
				'form_id'	=>	$lastid,
				'element_name'	=>	'yourName',
				'element_type'	=>	'1',
				'element_required'	=>	'1',
				'element_diplay_name'	=>	'',
				'css_class'	=>	'',
				'max_length'	=>	'',
				'default_value'	=>	'',
				'cols'	=>	'',
				'rows'	=>	'',
				'options'	=>	'',
				'file_size'	=>	'',
				'file_type'	=>	'',
				'file_mode'	=>	'',
				're_captcha'	=>	0,
				'min_value'	=>	'',
				'max_value'	=>	'',
				'placeholder'	=>	'',
				'element_error_messages'	=>	$xyz_cfm_element_error_message_name,
				'client_view_check_radio_line_break_count'	=>	0,
				'client_view_multi_select_drop_down'	=>	0,
				'hidden_radio_option'	=>	0,
				'hidden_value_dropdown'	=>	0,
				'allow_decimal'	=>	0,
				'jquery_event_handling_code' => '',
				'date_picker_start_date' =>'',
				'date_picker_end_date' =>'',
				'date_picker_type' =>0
				),
				array(
				'%d','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%s','%s','%s','%s','%d','%d','%d','%d','%d', '%s','%s','%s','%d'
				));
		
		$yourNameId = $wpdb->insert_id;
		$nameCode = "[text-".$yourNameId."]";
		
		/*User email*/
		$xyz_cfm_empty_email_field_error_message = "Fill email field";
		$xyz_cfm_valid_email_field_error_message = "Enter a valid email address";
		$xyz_cfm_element_error_message_array_email = array('fill_email_field'=>$xyz_cfm_empty_email_field_error_message,'please_provide_valid_email_address'=>$xyz_cfm_valid_email_field_error_message);
		$xyz_cfm_element_error_message_email = serialize($xyz_cfm_element_error_message_array_email);
		
		$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
				'form_id'	=>	$lastid,
				'element_name'	=>	'yourEmail',
				'element_type'	=>	'2',
				'element_required'	=>	'1',
				'element_diplay_name'	=>	'',
				'css_class'	=>	'',
				'max_length'	=>	'',
				'default_value'	=>	'',
				'cols'	=>	'',
				'rows'	=>	'',
				'options'	=>	'',
				'file_size'	=>	'',
				'file_type'	=>	'',
				'file_mode'	=>	'',
				're_captcha'	=>	0,
				'min_value'	=>	'',
				'max_value'	=>	'',
				'placeholder'	=>	'',
				'element_error_messages'	=>	$xyz_cfm_element_error_message_email,
				'client_view_check_radio_line_break_count'	=>	0,
				'client_view_multi_select_drop_down'	=>	0,
				'hidden_radio_option'	=>	0,
				'hidden_value_dropdown'	=>	0,
				'allow_decimal'	=>	0,
				'jquery_event_handling_code' => '',
				'date_picker_start_date' =>'',
				'date_picker_end_date' =>'',
				'date_picker_type' =>0
				),
				array(
				'%d','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%s','%s','%s','%s','%d','%d','%d','%d','%d', '%s','%s','%s','%d'
				));
		
		$yourEmailId = $wpdb->insert_id;
		$emailCode = "[email-".$yourEmailId."]";
		
		/*Subject*/
		$xyz_cfm_empty_text_field_error_message_subject = "Fill text field";
		$xyz_cfm_element_error_message_array_subject = array('fill_text_field'=>$xyz_cfm_empty_text_field_error_message_subject);
		$xyz_cfm_element_error_message_subject = serialize($xyz_cfm_element_error_message_array_subject);
		
		$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
				'form_id'	=>	$lastid,
				'element_name'	=>	'subject',
				'element_type'	=>	'1',
				'element_required'	=>	'1',
				'element_diplay_name'	=>	'',
				'css_class'	=>	'',
				'max_length'	=>	'',
				'default_value'	=>	'',
				'cols'	=>	'',
				'rows'	=>	'',
				'options'	=>	'',
				'file_size'	=>	'',
				'file_type'	=>	'',
				'file_mode'	=>	'',
				're_captcha'	=>	0,
				'min_value'	=>	'',
				'max_value'	=>	'',
				'placeholder'	=>	'',
				'element_error_messages'	=>	$xyz_cfm_element_error_message_subject,
				'client_view_check_radio_line_break_count'	=>	0,
				'client_view_multi_select_drop_down'	=>	0,
				'hidden_radio_option'	=>	0,
				'hidden_value_dropdown'	=>	0,
				'allow_decimal'	=>	0,
				'jquery_event_handling_code' => '',
				'date_picker_start_date' =>'',
				'date_picker_end_date' =>'',
				'date_picker_type' =>0
				),
				array(
				'%d','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%s','%s','%s','%s','%d','%d','%d','%d','%d', '%s','%s','%s','%d'
				));
		
		$xyz_cfm_subjectId = $wpdb->insert_id;
		$xyz_cfm_subjectCode = "[text-".$xyz_cfm_subjectId."]";
		
		/*Message*/
		$xyz_cfm_empty_textarea_field_error_message_message = "Fill textarea field";
		$xyz_cfm_element_error_message_array_message = array('fill_textarea_field'=>$xyz_cfm_empty_textarea_field_error_message_message);
		$xyz_cfm_element_error_message_message = serialize($xyz_cfm_element_error_message_array_message);
		
		$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
				'form_id'	=>	$lastid,
				'element_name'	=>	'message',
				'element_type'	=>	'3',
				'element_required'	=>	'1',
				'element_diplay_name'	=>	'',
				'css_class'	=>	'',
				'max_length'	=>	'',
				'default_value'	=>	'',
				'cols'	=>	45,
				'rows'	=>	6,
				'options'	=>	'',
				'file_size'	=>	'',
				'file_type'	=>	'',
				'file_mode'	=>	'',
				're_captcha'	=>	0,
				'min_value'	=>	'',
				'max_value'	=>	'',
				'placeholder'	=>	'',
				'element_error_messages'	=>	$xyz_cfm_element_error_message_message,
				'client_view_check_radio_line_break_count'	=>	0,
				'client_view_multi_select_drop_down'	=>	0,
				'hidden_radio_option'	=>	0,
				'hidden_value_dropdown'	=>	0,
				'allow_decimal'	=>	0,
				'jquery_event_handling_code' => '',
				'date_picker_start_date' =>'',
				'date_picker_end_date' =>'',
				'date_picker_type' =>0
				),
				array('%d','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%s','%s','%s','%s','%d','%d','%d','%d','%d', '%s','%s','%s','%d'));
		
		$messageId = $wpdb->insert_id;
		$messageCode = "[textarea-".$messageId."]";
		
		/*Submit*/
		
		$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
				'form_id'	=>	$lastid,
				'element_name'	=>	'submit',
				'element_type'	=>	'9',
				'element_required'	=>	'1',
				'element_diplay_name'	=>	'Send',
				'css_class'	=>	'',
				'max_length'	=>	'',
				'default_value'	=>	'',
				'cols'	=>	'',
				'rows'	=>	'',
				'options'	=>	'',
				'file_size'	=>	'',
				'file_type'	=>	'',
				'file_mode'	=>	'',
				're_captcha'	=>	0,
				'min_value'	=>	'',
				'max_value'	=>	'',
				'placeholder'	=>	'',
				'element_error_messages'	=>	'',
				'client_view_check_radio_line_break_count'	=>	0,
				'client_view_multi_select_drop_down'	=>	0,
				'hidden_radio_option'	=>	0,
				'hidden_value_dropdown'	=>	0,
				'allow_decimal'	=>	0,
				'jquery_event_handling_code' => '',
				'date_picker_start_date' =>'',
				'date_picker_end_date' =>'',
				'date_picker_type' =>0
				),
				array('%d','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%s','%s','%s','%s','%d','%d','%d','%d','%d', '%s','%s','%s','%d'));
		
		$submitId = $wpdb->insert_id;
		$submitCode = "[submit-".$submitId."]";

		
		$xyz_cfm_pageCodeDefault ='<table style="width:100%;">
			<tr>
				<td>Your Name</td><td>&nbsp;:&nbsp;</td><td>'.$nameCode.'</td>
			</tr>
			<tr>
			<td>Your Email</td><td>&nbsp;:&nbsp;</td><td>'.$emailCode.'</td>
			</tr>
			<tr>
			<td>Subject</td><td>&nbsp;:&nbsp;</td><td>'.$xyz_cfm_subjectCode.'</td>
			</tr>
			<tr>
			<td>Message Body</td><td>&nbsp;:&nbsp;</td><td>'.$messageCode.'</td>
			</tr>
			<tr>
			<td colspan="2"></td>
			<td>'.$submitCode.'</td>
			</tr>
		</table>';
		
		
		$xyz_cfm_mailBody='Hi,<p>You have a new contact request</p><p>From : '.$emailCode.'<br />Subject : '.$xyz_cfm_subjectCode.'<br />Message Body : '.$messageCode.'</p>Regards<br>'.get_bloginfo('name');
		
		
		$xyz_cfm_mailBodyReplay='<p>Hi '.$nameCode.',</p><p>Thank you for contacting us. Your mail has been received and shall be processed shortly.</p>Regards<br>'.get_bloginfo('name');
		
		$wpdb->update($wpdb->prefix.'xyz_cfm_form',
				array('form_content'=>$xyz_cfm_pageCodeDefault,
						'submit_mode'=>2,
						'to_email'=>$xyz_cfm_to_email,
						'from_email'=>$emailCode,
						'mail_type'=>1, //html
						'mail_subject'=>$xyz_cfm_subjectCode,
						'mail_body'=>$xyz_cfm_mailBody,
						'to_email_reply'=>$emailCode,
						'reply_subject'=>'Re:'.$xyz_cfm_subjectCode,
						'reply_body'=>$xyz_cfm_mailBodyReplay,
						'reply_mail_type'=>1,
						'enable_reply'=>1, //disable
						'status'=>1
				),
				array('id'=>$lastid));
		
	}
	
	$currentversion=xyz_cfm_premium_plugin_get_version();
	
	
	update_option('xyz_cfm_premium_version', $currentversion);
	
	xyz_cfm_include_addon_file('install.php');
	
//  die;	
}

register_activation_hook( XYZ_CFM_PLUGIN_FILE_PREMIUM, 'cfm_premium_network_install' );




