<?php 

function cfm_premium_network_uninstall($networkwide) {
	global $wpdb;

	if (function_exists('is_multisite') && is_multisite()) {
		// check if it is a network activation - if so, run the activation function for each blog id
		if ($networkwide) {
			$old_blog = $wpdb->blogid;
			// Get all blog ids
			$blogids = $wpdb->get_col("SELECT blog_id FROM $wpdb->blogs");
			foreach ($blogids as $blog_id) {
				switch_to_blog($blog_id);
				cfm_premium_uninstall();
			}
			switch_to_blog($old_blog);
			return;
		}
	}
	cfm_premium_uninstall();
}

function cfm_premium_uninstall(){

global $wpdb;


$pluginName = 'contact-form-manager/contact-form-manager.php';
if (is_plugin_active($pluginName)) {
	return;
}

/* table delete*/

$wpdb->query("DROP TABLE ".$wpdb->prefix."xyz_cfm_form_submission_meta_data");

$wpdb->query("DROP TABLE ".$wpdb->prefix."xyz_cfm_form_submissions");

$wpdb->query("DROP TABLE ".$wpdb->prefix."xyz_cfm_location_country");

$wpdb->query("DROP TABLE ".$wpdb->prefix."xyz_cfm_reply_attachments");

$wpdb->query("DROP TABLE ".$wpdb->prefix."xyz_cfm_form");

$wpdb->query("DROP TABLE ".$wpdb->prefix."xyz_cfm_form_elements");

$wpdb->query("DROP TABLE ".$wpdb->prefix."xyz_cfm_sender_email_address");



/* delete options*/

delete_option("xyz_cfm_pm_paging_limit");
delete_option("xyz_cfm_pm_tinymce_filter");
delete_option("xyz_cfm_pm_mandatory_sign");
delete_option('xyz_cfm_pm_recaptcha_private_key');
delete_option('xyz_cfm_pm_recaptcha_public_key');
delete_option('xyz_cfm_pm_sendViaSmtp');
delete_option('xyz_cfm_pm_SmtpDebug');
delete_option('xyz_cfm_pm_DateFormat');

if(get_option('xyz_credit_link') == "cfm"){
	update_option('xyz_credit_link', 0);
}
delete_option('xyz_wp_contact_form_license_key');

xyz_cfm_include_addon_file('uninstall.php');

}


	register_uninstall_hook( XYZ_CFM_PLUGIN_FILE_PREMIUM, 'cfm_premium_network_uninstall' );

?>